//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Crimson
#property indicator_color2 MidnightBlue

extern int ma1Period = 5;
extern int ma2Period = 8;
extern int ma2Shift  = 0;

double hiBuffer[];
double loBuffer[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0, hiBuffer); SetIndexStyle(0, DRAW_HISTOGRAM);
   SetIndexBuffer(1, loBuffer); SetIndexStyle(1, DRAW_HISTOGRAM);
   return (0);
}

int deinit() { return (0); }

int start()
{
   int    counted_bars=IndicatorCounted();
   int    i,limit;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit = Bars-counted_bars;

   //
   //
   //
   //
   //

   for(i=limit; i >= 0; i--)
   {
      double ma1 = iMA(NULL, 0, ma1Period, 0, MODE_EMA, PRICE_CLOSE, i);
      double ma2 = iMA(NULL, 0, ma2Period, 0, MODE_EMA, PRICE_OPEN,  i + ma2Shift);
      if (ma1 > ma2)
           { hiBuffer[i] = Low[i]; loBuffer[i] = High[i]; }
      else { loBuffer[i] = Low[i]; hiBuffer[i] = High[i]; }
   }
   return (0);
}